% View DICE output
% 20nov10  btuttle
%

max_plot_year = 2400 ;
yrs = load('dice_yrs.dat') ;
rng = find(yrs < max_plot_year) ;

co2 = load('atmos_CO2.dat') ;
cons = load('consumption.dat') ;
dam = load('damage.dat') ;
disc = load('discount.dat') ;
emis = load('emissions.dat') ;
%GWP = load('GWP.dat') ;
pop = load('population.dat') ;
production = load('production.dat') ;
forc = load('rad_forcing.dat') ;
temp = load('temp.dat') ;
mu = load('mu.dat') ;

mytallfigure(1,2) ;
suptitle('DICE with damages and optimized abatement')
subplot(3,1,1)
plot(yrs(rng),mu(rng)*100)
ylabel('abatement [% BAU emissions]')

subplot(3,1,2)
plot(yrs(rng),emis(rng))
title('emissions')
ylabel('[GtC a^{-1}]')

subplot(3,1,3)
plot(yrs(rng),disc(rng)*100)
title('Average Utility Social Time Preference')
ylabel('[% of 2005 value]')
xlabel('year')

%---------------------------------
mytallfigure(2,2) ;
subplot(3,1,1)
plot(yrs(rng),cons(rng))
title('consumption')
ylabel('[trillions 2005 U.S.$]')

subplot(3,1,2)
plot(yrs(rng),pop(rng))
title('population')
ylabel('[millions]')

subplot(3,1,3)
plot(yrs(rng),dam(rng)*100)
title('damages')
ylabel('[% BAU GWP]')
xlabel('year')

%---------------------------------
mytallfigure(3,2) ;
subplot(3,1,1)
plot(yrs(rng),co2(rng))
title('atmospheric carbon')
ylabel('[GtC]')

subplot(3,1,2)
plot(yrs(rng),temp(rng))
title('temperature')
ylabel('[\Delta^o C]')

subplot(3,1,3)
plot(yrs(rng),forc(rng))
title('radiative forcing')
ylabel('[W m^{-2}]')
xlabel('year')
